# spritecache.h File Reference

Functions to cache sprites in memory. More...

`#include "gfx_type.h"`

Go to the source code of this file.

## Data Structures
struct | Sprite
## Functions
const void * | GetRawSprite (SpriteID sprite, SpriteType type)
bool | SpriteExists (SpriteID sprite)
static const Sprite * | GetSprite (SpriteID sprite, SpriteType type)
static const byte * | GetNonSprite (SpriteID sprite, SpriteType type)
void | GfxInitSpriteMem ()
void | IncreaseSpriteLRU ()
bool | LoadNextSprite (int load_index, byte file_index, uint file_sprite_id)
void | DupSprite (SpriteID old_spr, SpriteID new_spr)
## Variables
uint | _sprite_cache_size

## Detailed Description

Functions to cache sprites in memory.

Definition in file spritecache.h.